#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  Ark-20.12.2

- Next

  KMix-20.12.2

- Up
- Home

# Kdenlive-20.12.2

## Introduction to Kdenlive

The Kdenlive package is a KF5 based video editor.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/20.12.2/src/kdenlive-20.12.2.tar.xz

- Download MD5 sum: 195dde750f7b152cf15c7fb4b6b3cb85

- Download size: 11 MB

- Estimated disk space required: 446 MB

- Estimated build time: 1.9 SBU (using parallelism=4)

### Kdenlive Dependencies

#### Required

KDE Frameworks-5.79.0 mlt-6.24.0, and v4l-utils-1.20.0 (runtime)

#### Recommended

breeze-icons-5.79.0

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/kdenlive5

## Installation of Kdenlive

Install Kdenlive by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kdenlive and kdenlive_render
Installed Libraries: mltpreview.so
Installed Directories: $KF5_PREFIX/share/doc/HTML/*/kdenlive, $KF5_PREFIX/share/kdenlive, and $KF5_PREFIX/share/kxmlgui5/kdenlive

### Short Descriptions

kdenlive | is an open source non-linear video editor which supports a large number of formats
kdenlive_render | is a render program for kdenlive

Last updated on 2021-02-24 06:51:33 -0800

- Prev

  Ark-20.12.2

- Next

  KMix-20.12.2

- Up
- Home